Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 734346 - app-office/plan fails to link with LLD because of /usr/lib in the link command line
Summary: app-office/plan fails to link with LLD because of /usr/lib in the link comman...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: LD-is-lld
  Show dependency tree
 
Reported: 2020-07-29 05:58 UTC by Agostino Sarubbo
Modified: 2020-08-30 23:14 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,68.95 KB, text/plain)
2020-07-29 05:58 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-07-29 05:58:17 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: app-office/plan fails to link with LLD because of /usr/lib in the link command line.
Discovered on: amd64 (internal ref: tinderbox)

NOTE:
This PR gives an idea about a fix: https://github.com/PhotoFlare/photoflare/pull/248/files.
Comment 1 Agostino Sarubbo gentoo-dev 2020-07-29 05:58:22 UTC
Created attachment 651356 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2020-08-30 23:14:32 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3e6f2c3058ecec47412b31b7a44f9737b230db56

commit 3e6f2c3058ecec47412b31b7a44f9737b230db56
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2020-08-30 23:14:12 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2020-08-30 23:14:12 +0000

    app-office/plan: Port to EAPI 7
    
    Closes: https://bugs.gentoo.org/726664
    Closes: https://bugs.gentoo.org/729516
    Closes: https://bugs.gentoo.org/734346
    Package-Manager: Portage-3.0.4, Repoman-3.0.1
    Signed-off-by: David Seifert <soap@gentoo.org>

 app-office/plan/Manifest         |  2 +-
 app-office/plan/plan-1.10.ebuild | 49 +++++++++++++++++-----------------------
 2 files changed, 22 insertions(+), 29 deletions(-)